## ros-diagnostics 1.10.1+ds1

=== debian/changelog ===
ros-diagnostics (1.10.1+ds1-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:40:59 +0100

ros-diagnostics (1.10.1+ds1-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Dec 2020 14:31:40 +0100

ros-diagnostics (1.10.1+ds1-1) unstable; urgency=medium

  * New upstream version 1.10.1+ds1
  * Drop patch (fixed upstream)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 21 Aug 2020 20:12:56 +0200

ros-diagnostics (1.10.0+ds1-1) unstable; urgency=medium

  * New upstream version 1.10.0+ds1

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 13 Aug 2020 21:08:38 +0200

ros-diagnostics (1.9.4+ds1-3) unstable; urgency=medium

  * Add patch to fix piuparts

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 03 Jul 2020 15:58:47 +0200

ros-diagnostics (1.9.4+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jun 2020 07:19:29 +0200

ros-diagnostics (1.9.4+ds1-1) experimental; urgency=medium

  * limit d/watch to ROS 1
  * New upstream version 1.9.4+ds1
  * update copyright
  * rebase patches
  * bump debhelper version and add missing package
  * bump Soname due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jun 2020 19:48:18 +0200

ros-diagnostics (1.9.3+ds1-2) unstable; urgency=medium

  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Apr 2020 19:34:24 +0200

ros-diagnostics (1.9.3+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #951737)

 -- Johannes 'josch' Schauer <josch@debian.org>  Thu, 20 Feb 2020 23:41:23 +0100
