=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1,\
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-diagnostics-$1.tar.gz%" \
    https://github.com/ros/diagnostics/tags \
    (?:.*?/)?v?(1.\d[\d.]*)\.tar\.gz
