## ros-diagnostics 1.11.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
            Johannes 'josch' Schauer <josch@debian.org>
-Build-Depends: debhelper-compat (= 13), catkin, python3-all, python3-setuptools, dh-sequence-python3, libdiagnostic-msgs-dev, pluginlib-dev, libroscpp-dev, python3-rospy, librostest-dev, librosbag-dev, libbondcpp-dev, googletest
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), python3-all, python3-setuptools, dh-sequence-python3, libdiagnostic-msgs-dev, pluginlib-dev, libroscpp-dev, python3-rospy, librostest-dev, librosbag-dev, libbondcpp-dev, libgtest-dev, python3-nose <!nocheck>, python3-rostest <!nocheck>, python3-diagnostic-msgs <!nocheck>, python3-psutil <!nocheck>, python3-rosbag <!nocheck>, python3-bondpy <!nocheck>
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/diagnostics
 Vcs-Browser: https://salsa.debian.org/science-team/ros-diagnostics
@@ -57,7 +57,7 @@
 
 Package: python3-diagnostic-analysis
 Section: python
-Architecture: any
+Architecture: all
 Multi-Arch: allowed
 Depends: ${python3:Depends}, ${misc:Depends}
 Description: Python library diagnostic_analysis (Robot OS)
@@ -70,13 +70,24 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libdiagnostic-msgs-dev, libroscpp-dev, librostest-dev
-Description: Robot OS diagnostic_updater tools
+Depends: ${misc:Depends}, libdiagnostic-updater0d (= ${binary:Version}), libdiagnostic-msgs-dev, libroscpp-dev, librostest-dev
+Description: development files for diagnostic_updater (Robot OS)
  This package is part of Robot OS (ROS). diagnostic_updater contains tools for
  easily updating diagnostics. it is commonly used in device drivers to keep
  track of the status of output topics, device status, etc.
  .
  This package contains the development files for the library.
+
+Package: libdiagnostic-updater0d
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: library for diagnostic_updater (Robot OS)
+ This package is part of Robot OS (ROS). diagnostic_updater contains tools for
+ easily updating diagnostics. it is commonly used in device drivers to keep
+ track of the status of output topics, device status, etc.
+ .
+ This package contains the shared library.
 
 Package: python3-diagnostic-updater
 Section: python
