## ros-diagnostics 1.11.0+ds

=== diagnostic_aggregator/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,9 @@
 install(DIRECTORY include/${PROJECT_NAME}/
         DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
 )
+install(DIRECTORY demo
+  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
+)
 install(FILES analyzer_plugins.xml
         DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )
