=== rosdiagnostic/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosdiagnostic)

find_package(catkin REQUIRED)

catkin_package()

catkin_python_setup()
