=== debian/changelog ===
ros-diagnostics (1.11.0+ds-8) unstable; urgency=medium

  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 24 Feb 2025 19:44:26 +0100

ros-diagnostics (1.11.0+ds-7) unstable; urgency=medium

  * Depend on new dh-ros for fixed tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 19 Mar 2024 09:52:20 +0100

ros-diagnostics (1.11.0+ds-6) unstable; urgency=medium

  * Add back catkin (accidentally deleted)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Mar 2024 18:59:41 +0100

ros-diagnostics (1.11.0+ds-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Jochen Sprickerhof ]
  * Switch to dh-ros (Closes: #1048974)
  * Python 3.12 fixes (Closes: #1067000)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Mar 2024 07:47:21 +0100

ros-diagnostics (1.11.0+ds-4) unstable; urgency=medium

  * Drop nose dependency (Closes: #1018624)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:40:45 +0200

ros-diagnostics (1.11.0+ds-3) unstable; urgency=medium

  * Add patch for new pluginlib

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 08 Jul 2022 12:34:38 +0200

ros-diagnostics (1.11.0+ds-2) unstable; urgency=medium

  * Add patch for new pluginlib
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Jun 2022 13:03:03 +0200

ros-diagnostics (1.11.0+ds-1) unstable; urgency=medium

  * Drop repacksuffix number
  * New upstream version 1.11.0+ds
  * Drop Python 3 patch (no longer needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 03 Jan 2022 22:41:13 +0100

ros-diagnostics (1.10.4+ds1-4) unstable; urgency=medium

  * Ignore failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 12:36:18 +0200

ros-diagnostics (1.10.4+ds1-3) unstable; urgency=medium

  [ Timo Röhling ]
  * Fix missing include path for googletest

  [ Jochen Sprickerhof ]
  * Update autopkgtest
  * Enable tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 11:12:04 +0200

ros-diagnostics (1.10.4+ds1-2) unstable; urgency=medium

  * Remove duplicate Section
  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 15 Oct 2021 23:37:29 +0200

ros-diagnostics (1.10.4+ds1-1) experimental; urgency=medium

  * New upstream version 1.10.4+ds1
  * diagnostic_updater is no longer header-only
  * Add lintian override for arch:any.
    Multi-Arch interpreter problem as explained in #901696
  * Make python3-diagnostic-analysis arch:all

 -- Timo Röhling <roehling@debian.org>  Sun, 26 Sep 2021 17:58:17 +0200

ros-diagnostics (1.10.1+ds1-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:42:02 +0200

ros-diagnostics (1.10.1+ds1-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 22:55:41 +0200
