=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
            Johannes 'josch' Schauer <josch@debian.org>
-Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), python3-all, python3-setuptools, dh-sequence-python3, libdiagnostic-msgs-dev, pluginlib-dev, libroscpp-dev, python3-rospy, librostest-dev, librosbag-dev, libbondcpp-dev, libgtest-dev, python3-nose <!nocheck>, python3-rostest <!nocheck>, python3-diagnostic-msgs <!nocheck>, python3-psutil <!nocheck>, python3-rosbag <!nocheck>, python3-bondpy <!nocheck>
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), dh-ros (>= 0.13.4), catkin, python3-all, python3-setuptools, dh-sequence-python3, libdiagnostic-msgs-dev, pluginlib-dev, libroscpp-dev, python3-rospy, librostest-dev, librosbag-dev, libbondcpp-dev, libgtest-dev, python3-rostest <!nocheck>, python3-diagnostic-msgs <!nocheck>, python3-psutil <!nocheck>, python3-rosbag <!nocheck>, python3-bondpy <!nocheck>
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/diagnostics
 Vcs-Browser: https://salsa.debian.org/science-team/ros-diagnostics
