=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_SKIP_PACKAGES = diagnostics
export ROS_IGNORE_TEST_RESULTS=$(if $(filter $(DEB_BUILD_ARCH),s390x powerpc ppc64 sparc64),1,0)

%:
	dh $@ --buildsystem=ros
