## ros-diagnostics 1.12.1%2Bds

=== diagnostic_common_diagnostics/CMakeLists.txt ===
--- 
+++ 
@@ -17,10 +17,14 @@
   add_rostest(test/launch/test_cpu_monitor.launch)
   add_rostest(test/launch/test_cpu_monitor_level_ok.launch)
   add_rostest(test/launch/test_cpu_monitor_level_warn.launch)
+  add_rostest(test/launch/test_ram_monitor.launch)
+  add_rostest(test/launch/test_ram_monitor_level_ok.launch)
+  add_rostest(test/launch/test_ram_monitor_level_warn.launch)
 endif()
 
 catkin_install_python(PROGRAMS
   src/diagnostic_common_diagnostics/cpu_monitor.py
+  src/diagnostic_common_diagnostics/ram_monitor.py
   src/diagnostic_common_diagnostics/hd_monitor.py
   src/diagnostic_common_diagnostics/ntp_monitor.py
   src/diagnostic_common_diagnostics/sensors_monitor.py
