=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: diagnostics
Source: https://api.github.com/repos/ros/diagnostics/git/matching-refs/tags/1.
Dversion-Mangle: auto
Uversion-Mangle: auto
Repack: yes
Repack-Suffix: +ds
