## ros-diagnostics 1.12.1+ds

=== diagnostic_aggregator/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
   src/analyzer_group.cpp
   src/generic_analyzer.cpp
   src/discard_analyzer.cpp
+  src/downgrade_analyzer.cpp
   src/ignore_analyzer.cpp
   src/aggregator.cpp)
 target_link_libraries(diagnostic_aggregator ${Boost_LIBRARIES}
