=== diagnostics/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(diagnostics)
find_package(catkin REQUIRED)
catkin_metapackage()
