=== debian/changelog ===
ros-diagnostics (1.12.1+ds-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.12.1+ds
  * Update patches.
    - Merged: 0005-Switch-to-new-boost-bind-bind.hpp.patch
    - Merged: 0006-Switch-to-hpp-headers-of-pluginlib.patch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Add myself to uploaders
  * Fix (minor) semantic error in d/rules

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Sep 2025 17:49:06 +0200
