=== debian/tests/control ===
Test-Command: ./debian/tests/compilation diagnostic_updater diagnostic_updater/diagnostic_updater.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libdiagnostic-updater-dev,
Features:
 test-name=libdiagnostic-updater-dev,

Test-Command: python3 -c "import diagnostic_updater"
Restrictions:
 allow-stderr,
Depends:
 python3-diagnostic-updater,
Features:
 test-name=python3-diagnostic-updater,
